Summary:	A menu-driven file backup system
Name:		taper
Version:	7.0
Release:	%mkrel 0.pre1.12
License:	GPL
Group:		Archiving/Backup
BuildRequires:	ncurses-devel
Source0:	http://switch.dl.sourceforge.net/sourceforge/taper/%{name}-%{version}pre1.tar.bz2
URL:		http://taper.sourceforge.net/
Patch0:		taper-7.0pre1-sparc.patch
Patch1:		taper-7.0pre1-remove-conflicting-type.patch
Patch2:		taper-7.0pre-1-umode_t.patch
Patch3:		taper-7.0pre1-LDFLAGS.diff
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Taper is a backup and restoration program with a friendly user
interface.  Files may be backed up to a tape drive or to a hard disk.
The interface for selecting files to be backed up/restored is very
similar to the Midnight Commander interface, and allows easy traversal
of directories.  Taper supports recursive selection of directories.
Taper also supports backing up SCSI, ftape, zftape and removable drives.
By default, taper is set for incremental backups and automatic most
recent restore.

Install the taper package if you need a user friendly file backup and
restoration program.

%prep
%setup -q -n %{name}-%{version}pre-1

%ifarch %{sunsparc}
%patch0 -p1 -b .sparc
%endif
%patch1 -p1 -b .type_conflict
%patch2 -p1 -b .umode_t
%patch3 -p0 -b .LDFLAGS

find . -name CVS -type d | xargs rm -rf

%build
%make CFLAGS="%{optflags} -O3 -fno-strength-reduce -Wall" LDFLAGS="%{ldflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_sbindir},%{_bindir},%{_mandir}/man8}
%{makeinstall_std} 	BINDIR=%{buildroot}%{_sbindir} \
	ALTBIN=%{buildroot}%{_bindir} \
	MANDIR=%{buildroot}%{_mandir}/man8
ln -sf %{_sbindir}/taper %{buildroot}%{_bindir}/taper
ln -sf %{_sbindir}/bg_restore %{buildroot}%{_bindir}/bg_restore
ln -sf %{_sbindir}/bg_backup %{buildroot}%{_bindir}/bg_backup

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man8/taper.8*





%changelog
* Wed Mar 23 2011 steletch <steletch> 7.0-0.pre1.12.mga1
+ Revision: 76075
- imported package taper


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 7.0-0.pre1.12mdv2011.0
+ Revision: 607973
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 7.0-0.pre1.11mdv2010.1
+ Revision: 520256
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 7.0-0.pre1.10mdv2010.0
+ Revision: 427279
- rebuild

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 7.0-0.pre1.9mdv2009.1
+ Revision: 317833
- use %%ldflags

* Sat Mar 08 2008 Olivier Blin <oblin@mandriva.com> 7.0-0.pre1.8mdv2008.1
+ Revision: 182245
- include asm/types.h for umode_t to be defined on x86_64
- remove conflicting macro for umode_t type
- restore BuildRoot

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 14 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 7.0-0.pre1.6mdv2008.0
+ Revision: 39755
- bump
- fix conflicting types (P1, fixes build on x86_64)
- use %%{sunsparc} macro
  cosmetics


* Thu Sep 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 7.0-0.pre1.5mdv2007.0
- Rebuild against ncurse

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 7.0-0.pre1.4mdk
- Rebuild

* Mon Dec 13 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 7.0-0.pre1.3mdk
- regenerate sparc patch (P0)
- compile with $RPM_OPT_FLAGS

